-- keyboard.lua -- keyboard responses

function love.keypressed(key)  -- one operation per key press
	if key == 'escape'	then love.event.push('quit')					end
	if key == 'd'		then show.data = not show.data					end
	if key == 'i'		then show.help = not show.help					end
	if key == 'r'		then rt = 0	rot = 0								end
	if key == 'right'	then rt = rt<=-2*pi and -2*pi or rt + .005		end
	if key == 'left'	then rt = rt - .005								end
	if key == 's'		then playSound = not playSound					end
	if key == 'l'		then volume = volume < 2  and volume + .1 or 2	end
	if key == 'k'		then volume = volume > .1 and volume - .1 or 0	end
	if key == 'h'		then show.help_rotation = not show.help_rotation end
	if key == 'f'		then show.fade = not show.fade					end
	end

function keyboard_update()	-- changes continue as long as key is depressed
	if ky.isDown('up')		then size = size >  3.99 and  4 or size + 0.01 	end
	if ky.isDown('down')	then size = size < -3.99 and -4 or size - 0.01	end
	end

