-- Bacon_on_Web - a test script of Love 0.8.0

love = love or {}

require 'colors'
require 'shortcuts'
require 'keyboard'

function love.load()
	object = {'fade','flames','audio','logo','web','hit','pig','spider','runner','help','data'}
	-- object table used to maintain order of execution (lost by using  'in pairs')
	func = { flames = require'flames', audio = require'audio', logo   = require'logo',
			 runner = require'runner', pig   = require'pig',   spider = require'spider',
			 web    = require'web',    help  = require'help',  data   = require'data',
			 fade   = require'fade',   hit   = require'hit' }
	show = { data = false, help = true, help_rotation = false, fade = false, contact = false }
	love.mouse.setVisible(  false )						-- turn off cursor
	for i = 1, #object do func[ object[i] ].load() end	-- load object data
	-- limit drawing to screen, Scissor used ( border used to confirm )
	local br 	= 10					-- border around background flames
	gr.setScissor( br, br, screenWidth - 2*br, screenHeight - 2*br )
	gr.setColorMode( 'replace' )  		-- prevents setColor from changing image color
	end

function love.draw()
	for i = 1, #object do func[ object[i] ].draw() end		-- draw objects
	end

function love.update()
	x, y  = love.mouse.getX(), love.mouse.getY()			-- used in pig, spider & web
	for i = 1, #object do func[ object[i] ].update() end	-- make changes to objects
	keyboard_update()
	end

