-- pig.lua

local pig = {}

function pig.load()
	pig.image	= gr.newImage( 'images/pig.png' )
	pig.x		= pig.image:getWidth()  / 2.8 + 15
	pig.y		= pig.image:getHeight() / 2.8 + 25
	rot, rt		= 0, 0
	end

function pig.draw()
	gr.draw(
		pig.image,					-- image
		x, y,						-- screen location (mouse x&y)
		rot, 						-- rotation
		2*size, 2*size,				-- scale
		pig.x, pig.y )				-- center of image
	gr.setPixelEffect()
	end

function pig.update()	-- rotation control
	rot			= rot + rt * pi	-- clamp rotation between 0 & 2*pi
	rot 		= rot > 2 * pi and 0 or rot < 0 and 2 * pi or rot
	end

return pig
