-- audio.lua

local audio = {}

function audio.load()
	music	= au.newSource("prondisk.xm")
	volume	= 0.7
	au.setVolume( volume )
	au.play( music )
	playSound = true
	end

function audio.draw()	-- volume control display
	gr.setPointSize( 5 )
	gr.setLineStyle( "smooth" )
	gr.setColor( to"white" )
	local ax1 = screenWidth / 2 - 100 * volume
	local ay1 = screenHeight - 20
	local ax2 = screenWidth / 2 + 100 * volume
	local ay2 = screenHeight - 20
	gr.line( ax1, ay1, ax2, ay2 )
	gr.point( ax1, ay1 )
	gr.point( ax2, ay2 )
	end

function audio.update()
	au.setVolume( volume )
	not_playing	= au.getNumSources( ) == 0
	if not_playing and playSound then au.play(music) else	-- loops music
		if not playSound then au.stop(music) end			-- unless stopped
		end
	end

return audio
