-- data.lua -- for debugging

local data = {}

function data.load() end

function data.draw()  -- debug information (selected by <d> key)
	if show.data then
		gr.setColor( to "black" )
		local xpos, ypos = 20, 20
		gr.print( "image X: "..floor(x), 155,  160,   rot, 1, 1 )
		gr.print( "image Y:             "..floor(y), xpos, ypos*1, 0, 1, 1 )
		local R1 = floor( rot * 180 / pi)
		gr.print( "rotation angle:     "..R1, xpos, 2 * ypos, 0, 1, 1 )
		gr.print( "rotational speed:  "..( rt ),   xpos, 3 * ypos, 0, 1, 1 )
		local fps = love.timer.getFPS()
		gr.print( "fps:                     "..fps,           xpos, 4 * ypos, 0, 1, 1 )
		if playSound then msg = "true" else msg = "false" end
		gr.print( "play sound:          "..msg,	  xpos, 5 * ypos, 0, 1, 1 )
		if show.fade then msg = "true" else msg = "false" end
		gr.print( "flame fading:       "..msg,	  xpos, 6 * ypos, 0, 1, 1 )
		if show.contact then msg = "true" else msg = "false" end
		gr.print( "contact:              "..msg,	  xpos, 7 * ypos, 0, 1, 1 )
		end
	end

function data.update() end

return data
