-- hit.lua	-- contact between spider and pig

local hit = {}

function hit.load()
	hit.effect = love.graphics.newPixelEffect [[
		vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords)
			{
			vec4 pixel = Texel(texture, texture_coords);
			pixel.r = 1-pixel.r;
			pixel.g = 1-pixel.g;
			pixel.b = 1-pixel.b;
			return  pixel;
			}
			]]
	hit.limit = 150
	end

function hit.draw()
	show.contact = false
	hit.dist	= floor( sqrt( ( 750 - x ) ^ 2 + ( 50 - y ) ^ 2 ) )
	if hit.dist < hit.limit then
		gr.setPixelEffect( hit.effect )
		show.contact = true
		end
	end

function hit.update() end

return hit
